%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-errorhandler
Version:    1.5.0
Release:    3%{?dist}
Summary:    The default error handler page for Connect
License:    MIT
URL:        https://github.com/expressjs/errorhandler
Source0:    https://github.com/expressjs/errorhandler/archive/%{version}/errorhandler-%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(escape-html)
BuildRequires:  npm(accepts)

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(after)
BuildRequires:  npm(supertest)
%endif

%description
%{summary}.


%prep
%autosetup -n errorhandler-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/errorhandler
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/errorhandler

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr public/ \
    %{buildroot}%{_datadir}/%{name}
ln -sf %{_datadir}/%{name}/public \
    %{buildroot}%{nodejs_sitelib}/errorhandler/public

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
mocha --reporter spec --bail --check-leaks test/
%endif


%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/errorhandler
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/public
%{_datadir}/%{name}/public/error.html
%{_datadir}/%{name}/public/style.css


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 1.5.0-1
- Update to 1.5.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 12 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-2
- own {_datadir}/{name}

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
